%define upstream_name    CPANPLUS-Dist-Mageia
%define upstream_version 2.000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    cpanplus backend to build mageia rpms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPANPLUS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPANPLUS::Dist::Base)
BuildRequires: perl(CPANPLUS::Error)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Pod::POM::View::Text)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module was written after having to write Yet Another Config File
Parser for some variety of colon-separated config. I decided "never again".

Config::Auto aims to be the most 'DWIM' config parser available, by
detecting configuration styles, include paths and even config filenames
automagically.

See the the HOW IT WORKS manpage section below on implementation details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.0.0-2.mga3
+ Revision: 363712
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 2.0.0-1.mga3
+ Revision: 314857
- update to 2.000

* Wed Jul 04 2012 jquelin <jquelin> 1.121.710-1.mga3
+ Revision: 267268
- update to 1.121710

* Wed Sep 28 2011 jquelin <jquelin> 1.112.710-1.mga2
+ Revision: 149841
- update to 1.112710

* Fri Jul 08 2011 jquelin <jquelin> 1.111.890-1.mga2
+ Revision: 120246
- update to 1.111890

* Thu Jun 23 2011 jquelin <jquelin> 1.111.740-1.mga2
+ Revision: 112655
- update to 1.111740

* Wed Jun 22 2011 jquelin <jquelin> 1.111.720-1.mga2
+ Revision: 112325
- update to 1.111720

* Wed Feb 16 2011 jquelin <jquelin> 1.110.471-1.mga1
+ Revision: 52259
- fix spec
- imported package perl-CPANPLUS-Dist-Mageia

